#define ANSI_SC 1
#define ANSI_RC 2
#define ANSI_KU 3
#define ANSI_KD 4
#define ANSI_KR 5
#define ANSI_KL 6
#define ANSI_CL 7
#define ANSI_CM 8
#define ANSI_CE 9
#define ANSI_CS 10
#define ANSI_SR 11
#define ANSI_SF 12
#define ANSI_MR 13
#define ANSI_MB 14
#define ANSI_MD 15
#define ANSI_ME 16

/*
d0|vt100|vt100-am|vt100am|dec vt100:\
        :do=^J:co#80:li#24:cl=50\E[;H\E[2J:sf=2*\ED:\
        :le=^H:bs:am:cm=5\E[%i%d;%dH:nd=2\E[C:up=2\E[A:\
        :ce=3\E[K:cd=50\E[J:so=2\E[7m:se=2\E[m:us=2\E[4m:ue=2\E[m:\
        :md=2\E[1m:mr=2\E[7m:mb=2\E[5m:me=2\E[m:is=\E[1;24r\E[24;1H:\
        :rf=/usr/lib/tabset/vt100:\
        :rs=\E>\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h:ks=\E[?1h\E=:ke=\E[?1l\E>:\
        :ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:kb=^H:\
        :ho=\E[H:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:pt:sr=2*\EM:vt#3:xn:\
        :sc=\E7:rc=\E8:cs=\E[%i%d;%dr:

     N   indicates numeric parameter(s)
     P   indicates that padding may be specified
     *   indicates that padding may be based on the number of lines affected
     o   indicates capability is obsolete

     Name  Type  Notes  Description
     am    bool         Terminal has automatic margins
     bs    bool  (o)    Terminal can backspace with ^H
     cd    str   (P*)   Clear to end of display
     ce    str   (P)    Clear to end of line
     cl    str   (P*)   Clear screen and home cursor
     cm    str   (NP)   Screen-relative cursor motion
     co    num          Number of columns in a line (See BUGS section below)
     cs    str   (NP)   Change scrolling region (VT100)
     do    str          Down one line
     ho    str   (P)    Home cursor
     is    str          Terminal initialization string (termcap only)
     k0-k9 str          Sent by function keys 0-9
     kb    str          Sent by backspace key
     kd    str          Sent by down-arrow key
     ke    str          Out of "keypad transmit" mode
     kl    str          Sent by left-arrow key
     kr    str          Sent by right-arrow key
     ks    str          Put terminal in "keypad transmit" mode
     ku    str          Sent by up-arrow key
     le    str   (P)    Move cursor left one position
     li    num          Number of lines on screen or page (See BUGS section below)
     mb    str          Turn on blinking attribute
     md    str          Turn on bold (extra bright) attribute
     me    str          Turn off all attributes
     mr    str          Turn on reverse-video attibute
     nd    str          Non-destructive space (cursor right)
     pt    bool  (o)    Has hardware tabs (may need to be set with is)
     rc    str   (P)    Restore cursor to position of last sc
     rf    str          Name of file containing reset codes
     rs    str          Reset terminal completely to sane modes (termcap only)
     sc    str   (P)    Save cursor position
     se    str          End standout mode
     sf    str   (P)    Scroll text up
     so    str          Begin standout mode
     sr    str   (P)    Scroll text down
     ue    str          End underscore mode
     up    str          Upline (cursor up)
     us    str          Start underscore mode
     vt    num          Virtual terminal number (not supported on all systems)
     xn    bool         Newline ignored after 80 cols (Concept)
*/